Andy+

DSM 6.0 upgrade says Sync not compatible

Recommended Posts

@RomanZ i went on the page you suggested (http://help.getsync.com/hc/en-us/articles/206215185-Synology ) but it didn't work.

Beside the DS115 which now seems working after automatic updates, on the other side of the sync I have a DS415 Play, which should mount a x86 architecture if I'm not wrong:

sync.PNG

I tried to upgrade BT Sync from version 2.0.93-1 to the latest version available 2.3.6-1

sync2.PNG

From the support page you linked, I tried the manual installation of the package

https://download-cdn.getsync.com/2.3.6/Synology/bittorrentsync_x86_2.3.6-1.spk

But I get the error message "This package is not supported".

sync3.PNG

Am I missing something? The package I choose is the right one for my platform? If not, what should be the right package to use? If it is the right one, why it isn't working?

Thanks for your support that is better than the official synology support.

Edited by Carlogubi
Editing

Share this post


Link to post
Share on other sites
On 26-3-2016 at 3:48 PM, uytemaf said:

Thanks for the brilliant idea!!!!!

I did find the 2.2.7 version for my DS215j. I installed it and it works!!! 

Here is the link for the Synology DS215j
https://download-cdn.getsync.com/2.2.7/Synology/bittorrentsync_armada375_2.2.7-1.spk

 

Is there a way to backup all the links i have setup to sync to the NAS. Because it is all empty now and have to reconfigure all the sync tasks.

For DS215j the 2.3.6 works!

I tried the new 2.3.6 version and it installed flawlessly!!! Working 100%

https://download-cdn.getsync.com/2.3.6/Synology/bittorrentsync_armada375_DSM6_2.3.6-1.spk

Thanks to BT Sync and synology crew!

Share this post


Link to post
Share on other sites

Same thing for DS124play.

  1. Stopped BT Sync
  2. Update DSM → 6.0
  3. Reactivate admin account, with a non empty secure password
  4. Restarted the NAS,
  5. Update manually BT Sync (DSM told me to update it)
  6. Sync is now working

Share this post


Link to post
Share on other sites

Well given the popularity of Synology NAS and the fact that DSM 6 was "baking" for the past few months I find it very disappointing that BTS would not have a compatible version by now (and yes I am a paying pro user).  I know, not an useful post, just my feedback...

Share this post


Link to post
Share on other sites
7 minutes ago, AlexT said:

Well given the popularity of Synology NAS and the fact that DSM 6 was "baking" for the past few months I find it very disappointing that BTS would not have a compatible version by now (and yes I am a paying pro user).  I know, not an useful post, just my feedback...

100% agreed

Share this post


Link to post
Share on other sites

Just to confirm that my DS1815+ with DSM 6.0 and BitTorrent Sync 2.3.6-1 is now working fine !

I stopped BTS before DSM updgrading. After upgrade I wasn't able to start BTS again. But after new rebooting, everythin works without problems.

Regards.

Share this post


Link to post
Share on other sites

@AlexT

Quote

Well given the popularity of Synology NAS and the fact that DSM 6 was "baking" for the past few months I find it very disappointing that BTS would not have a compatible version by now (and yes I am a paying pro user).  I know, not an useful post, just my feedback...

We have. You can take it here.

As for the "Non-compatible" message - well, every vendor has their own software review cycles. This is not something that depends on BitTorrent.

Share this post


Link to post
Share on other sites

So, is the compatibility issue mentioned above in this thread, gone now, or what is the latest with Sync & the cedarview product line at this time?

 

Can I safely update to DSM 6 without fear of losing SYNC and not having it function, or am I still waiting?

Edited by Bob_Collins

Share this post


Link to post
Share on other sites

@Bob_Collins Officially Synology still warns about compatibility issues and we are working to get it solved. In practice, you can follow this instruction to upgrade your DSM. We've got reports for armada*, evensport and monaco successful updates. No info about cedarview so far.

Share this post


Link to post
Share on other sites
On 25-3-2016 at 2:01 PM, joeyvandijk said:

Also important to note is that you need to enable the "admin"-account. If it is enabled it will also say "Failed to run package service". I installed DSM6 and it did not work due to I did not use the admin-account.

@joeyvandijk This works for me! Thanks a lot!

I tried a lot but the app won't start automatically after a reboot.

On 21-2-2016 at 11:27 AM, RomanZ said:

@kornac Try do the following: when you SSH to Syno, navigate to "/var/packages/bittorrentsync/scripts" and run "sudo ./start-stop-status start" and let me know the output of you see (ensure that no other versions of Sync are running prior you do it, of course). This is pretty much the same Syno does when you click the "Run" on DSM.

@RomanZ I got the following message, although I had root access.

$ sudo ./start-stop-status start
Password:
Starting BitTorrent Sync ...
Your account has expired; please contact your system administrator
su: Permission denied

I also tried /usr/local/bittorrentsync/bin/btsync --config /usr/local/bittorrentsync/var/sync.conf and this does start btsync, but after a reboot I have to start it manually again.

But knowing I can start the service with the admin account enabled is OK for now, at least I can use btsync :) Hopefully a next update will solve this problem.

Share this post


Link to post
Share on other sites

@doublelucky Its bad idea to run Sync under root. It is designed to run under admin and running as root can change sync's file permissions to root, so later it won't be access it.

I'm a bit confused with the last couple of things - so did you manage to run sync as admin? is your admin account active?

Share this post


Link to post
Share on other sites

Count one more success, following above links, for a DS1815+ (avoton) - below showed no warning or errors at all;

Share this post


Link to post
Share on other sites

@RomanZ When I got my Syno I created a new admin and disabled the default user called 'admin'. 
I installed the app with the new user and this always worked normally, until I installed DSM 6 last week. I reinstalled it, replaced the btsync file as you write in your manual but it doesn't started automatically.

I tried your /usr/local/bittorrentsync/bin/btsync --config /usr/local/bittorrentsync/var/sync.conf with that new admin and that starts the service, but after a reboot I have to do it again.

But I did what joeyvandijk writes, I login with my new admin, enabled the default admin, go to Package Center and just run the app (still logged in as as the new admin). And after that I disable the default admin again and it works like it should. 

Share this post


Link to post
Share on other sites

@doublelucky I strongly suspect that when you disabled admin account it still worked fine from POSIX point of view, therefore startup with DSM did not work while SSH startup worked fine. Sync designed to run under native admin account on Syno, so it should stay active got get it working.

Share this post


Link to post
Share on other sites
6 hours ago, Zeppo VA said:

DS 213 with DSM 6.  BT sync still fails for me

 

Same mistake here. I did the update binary ARMHF even so the package will not start on my DS213 .

Share this post


Link to post
Share on other sites

@Zeppo VA @poLoNes What's the error? Does it say it can't start package or something else? What about manual starting of Sync - does it work? If no - what is the error displayed?

To start Sync manually on Synology, login via SSH under admin account and execute command line:

/usr/local/bittorrentsync/bin/btsync --config /usr/local/bittorrentsync/var/sync.conf

 

Share this post


Link to post
Share on other sites
2 hours ago, RomanZ said:

@Zeppo VA @poLoNes What's the error? Does it say it can't start package or something else? What about manual starting of Sync - does it work? If no - what is the error displayed?

To start Sync manually on Synology, login via SSH under admin account and execute command line:


/usr/local/bittorrentsync/bin/btsync --config /usr/local/bittorrentsync/var/sync.conf

 

@RomanZ , not start.

btsync+owner.png

 

The owner is admin and not root, is that correct?

sync.conf+owner.png


btsync.png


root.png


 

Edited by poLoNes

Share this post


Link to post
Share on other sites

@poLoNes It looks like your DSM did not provide a linker of necessary version. Could you please check if you have file or softlink "/lib/ld-linux.so.3"? If no - this solution likely will work for you, though you'll need to locate ld-linux.so.3 and put correct path.

Share this post


Link to post
Share on other sites
4 hours ago, RomanZ said:

@poLoNes It looks like your DSM did not provide a linker of necessary version. Could you please check if you have file or softlink "/lib/ld-linux.so.3"? If no - this solution likely will work for you, though you'll need to locate ld-linux.so.3 and put correct path.

The softlink exists.

See where the shortcut points.

lib.png

Share this post


Link to post
Share on other sites

@poLoNes My bad. ARM build requires /lib/ld-linux.so.3, while ARMHF binary requires /lib/ld-linux-armhf.so.3. Could you please find ld-linux-armhf.so.3 on your DSM and create a symbolic link to it in "/lib"?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.